For the complete documentation index, see llms.txt. This page is also available as Markdown.

Message object

Fields

Field

Type

Description

Editable

content

string

kind

string

settings

object

status

integer

info

object

tags

array

created_at

datetime

deleted_at

datetime

updated_at

datetime

created_at_unix

integer

deleted_at_unix

integer

Filters

Field

Description

id

ID

kind

次の項目から選択 [text, link, image, video, audio, location, sticker, action_link, maltiple, rich_content, stamp, contact, form, item, file]

room_id

RoomのID

after_created_at

指定時刻より後に作成されたメッセージ。IntegerのUNIX時間を設定

room_kind

次の項目から選択 [direct_room, group_room, support_room]

before_created_at

指定時刻より前に作成されたメッセージ。IntegerのUNIX時間を設定

query

start_date

指定時刻の日付以降に作成されたメッセージ。IntegerのUNIX時間を設定

end_date

指定時刻の日付以前に作成されたメッセージ。IntegerのUNIX時間を設定

Run in Postman

find message

GET https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages/{:id}

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

search messages

GET https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

create message

POST https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

Request Body

Name
Type
Description

data

object

update messages

PUT https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages/{:id}

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

Request Body

Name
Type
Description

data

object

delete message

DELETE https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages/{:id}

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

GET https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages/search

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

export

GET https://{YOUR_OKSKY_DOMAIN}/rapi/v1/messages/export

Headers

Name
Type
Description

X-Access-Token

string

set you access token

Content-Type

string

application/vnd.api+json

Accept

string

application/vnd.api+json

最終更新